/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomNode_H___INT_
#define __GdomNode_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Node.h"
G_BEGIN_DECLS
class GDOMNode : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_NODE; }
    GDOMNode(PassRefPtr<WebCore::Node> impl);
    virtual ~GDOMNode();
    WebCore::Node* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Node> m_impl;
};
G_END_DECLS

#endif /* __GdomNode_H___INT_*/
